// 主函数
// 杭州秒寻科技有限公司
// 周涛
// 2023-09-12

#ifndef MAIN_H
#define MAIN_H

#include "sysdef.h"

#define OPEN_INT() __set_PRIMASK(0) // 打开总中断

// APP加载模式
#define MAIN_APP_LOAD_MODE_DEFAULT 1    // 默认加载（从地址0x00开始加载）
#define MAIN_APP_LOAD_MODE_BOOTLOADER 2 // bootloader加载（从指定的地址开始加载）

// 内部接口
uint8 main_app_start(uint8 byDebugMode);
uint8 main_init();
uint8 main_driver_init();
uint8 main_app_init();
void main_init_ok();

#endif
